Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class SerializableObjectHandler

    java.lang.Object
      org.jboss.cache.aop.SerializableObjectHandler

    public class SerializableObjectHandler

extends java.lang.Object

Handle Serializable object cache management.

Version:
  $Id: SerializableObjectHandler.java,v 1.8 2006/05/23 23:56:33 bwang Exp $
Author:
  Ben Wang Date: Aug 4, 2005

Field Summary
`protected PojoCache` | `cache_`
`protected InternalDelegate` | `internal_`
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SerializableObjectHandler(PojoCache cache, InternalDelegate internal)`

Method Summary
`protected void` | `putIntoCache(Fqn fqn, java.lang.Object obj)`
`protected boolean` | `serializableObjectPut(Fqn fqn, java.lang.Object obj)`
`protected boolean` | `serializableObjectRemove(Fqn fqn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache_

    protected PojoCache cache_

### internal_

    protected InternalDelegate internal_

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### SerializableObjectHandler

    public SerializableObjectHandler(PojoCache cache,
                                     InternalDelegate internal)

Method Detail

### serializableObjectPut

    protected boolean serializableObjectPut(Fqn fqn,
                                            java.lang.Object obj)
                                     throws CacheException

  Throws:
    `CacheException`

### putIntoCache

    protected void putIntoCache(Fqn fqn,
                                java.lang.Object obj)
                         throws CacheException

  Throws:
    `CacheException`

### serializableObjectRemove

    protected boolean serializableObjectRemove(Fqn fqn)
                                        throws CacheException

  Throws:
    `CacheException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.